## ros-indigo-controller-interface 0.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(controller_interface)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp hardware_interface pluginlib)

# Declare catkin package
catkin_package(
  DEPENDS boost
  CATKIN_DEPENDS roscpp hardware_interface pluginlib
  INCLUDE_DIRS include
  )

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-controller-interface (0.9.7-0trusty) trusty; urgency=high

  * Introduce shared_ptr typedefs
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 18 May 2018 23:00:00 -0000

ros-indigo-controller-interface (0.9.6-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-indigo-controller-interface (0.9.5-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-indigo-controller-interface (0.9.4-0trusty) trusty; urgency=high

  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-controller-interface (0.9.3-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-indigo-controller-interface (0.9.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-controller-interface (0.9.1-0trusty) trusty; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-controller-interface (0.9.0-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-controller-interface (0.8.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-indigo-controller-interface (0.8.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-indigo-controller-interface (0.8.0-0trusty) trusty; urgency=high

  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Wim Meeussen <wim@hidof.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-controller-interface (0.7.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-controller-interface (0.7.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-controller-interface (0.7.0-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-controller-interface (0.6.0-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-controller-interface (0.5.8-0trusty) trusty; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * Add .gitignore file.

 -- Wim Meeussen <wim@hidof.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.7-0trusty) trusty; urgency=high

  * Updated changelogs
  * Documentation fixes.
    - Tag (non)realtime methods in ControllerBase.
    - Fix incorrect param name in Controller.

 -- Wim Meeussen <wim@hidof.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.6-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.5-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.4-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.3-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.5.0-0trusty) trusty; urgency=high

  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * Reneamed Github repo in documentation to ros-controls

 -- Wim Meeussen <wim@hidof.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-indigo-controller-interface (0.4.0-0trusty) trusty; urgency=high

  * Version 0.4.0
  * 1.0.1
  * Fix package URL in package.xml
  * adding install targets
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * Fix package URLs.
  * Refactor named resource management code.
    - In preparation for the explicitly typed actuators interface, code for managing
    named resources has been refactored into a separate class. This code consists
    of convenience methods wrapping a std::map container, and occur often enough
    that factoring it out to prevent duplication makes sense.
    - Code that is not part of the public API, and hence with no stability guarantees
    has been moved to the internal folder/namespace. It only affects the named
    resource management and symbol demanglind methods so far.
  * catkinizing, could still be cleaned up
  * Use demangled type names when available. Fixes #36 <https://github.com/davetcoleman/ros_control/issues/36>.
    Type names are used in different interfaces  such as hardware_interface and
    controller_interface. When symbol demangling is available (currently gcc 3.0+),
    operate on demangled names, as they are more convenient for human reading, eg.
    hardware_interface::VelocityJointInterface
    instead of
    N18hardware_interface22VelocityJointInterfaceE
  * [Trivial] Remove redundant semicolon.
  * Update controller_interface docs.
    More descriptive documentation for initialization methods with two NodeHandle
    arguments.


=== debian/control ===
Source: ros-indigo-controller-interface
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-hardware-interface, ros-indigo-pluginlib, ros-indigo-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-indigo-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-hardware-interface, ros-indigo-pluginlib, ros-indigo-roscpp
Description: Interface base class for controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-controller-interface//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
